package technology


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}


#######################################################################
# icons
#######################################################################

_iconhtech_ {<img src="_httpiconhtech_" width=_widthhtech_ height=_heighthtech_}

#######################################################################
# http macros 
#
# These contain the url without any quotes
#######################################################################

_httpiconhtech_ {_httpimg_/h\_tech.gif}
_widthhtech_ {200}
_heighthtech_ {57}


#######################################################################
# page content
#######################################################################

_pagetitle_ {_textpagetitle_}

_imagethispage_ {_iconhtech_}

_content_ {
_iconblankbar_
<p>There are several freely available technologies underlying the New Zealand
Digital Library:
<ul>
<li><a href="_httppagex_(gsdlsoft)"><i>Greenstone</i></a>, the digital
library system that generates each and every page of this website.<p>

<li><a href="_httppagex_(prescript)"><i>PreScript</i></a>, a system
that converts PostScript to plain ASCII or HTML, detects paragraph boundaries,
removes hyphenation, and interprets many ligatures.<p>

<li><a href="_httppagex_(mg)"><i>MG</i></a>, an enhancement of the <a
href="http://www.cs.mu.oz.au/mg"><i>Managing Gigabytes</i></a> full-text
retrieval system, that provides flexible stemming methods, weighting terms,
term frequencies, merged indexes, machine independent indexes, and a port to
MSDOS.<p>

<li><a href="http://www.cs.waikato.ac.nz/sequitur"><i>Sequitur</i></a>, a
method for inferring compositional hierarchies from strings by detecting
repetition and factoring it out of the string by  forming rules in a
grammar. The rules can be composed of non-terminals, giving rise to a
hierarchy. Sequitur is useful for  recognizing lexical structure in strings,
and excels at very long sequences.<p>

<li><a href="http://www.nzdl.org/Kea"><i>Kea</i></a>, a program for
automatically extracting keyphrases from the full text of documents. Candidate
keyphrases are identified using rudimentary lexical processing, features are
computed for each candidate, and machine learning is used to generate a
classifier that determines which candidates should be assigned as
keyphrases. <p>

<li><a href="http://www.cs.waikato.ac.nz/~stevej/Research/Phrasier/"><i>Phrasier</i></a>, a 
tool to support information seeking activities in a digital library.  Its novel design 
reflects the fact that reading, writing, browsing and searching activities are rarely 
carried out independently of each other.  They overlap and interleave in ways which have 
not been effectively supported by conventional information retrieval interfaces.  Consequenly
Phrasier blurs the distinction between writing a document and finding material related to it; 
between reading a document and finding others on the same or similar topics; between keyword 
searching and subject browsing. <p>

</ul>

<br>
}



###############################################################################
# English Language Text Macros
###############################################################################

#moved to english.dm





